3 votos

Perdido entre dos versiones de macOS después de error de actualización para macOS Mojave

Yo no tengo experiencia alguna con macOS (usuario de Linux).

Tengo un viejo mediados de 2012 13" MacBook Pro, que se estaba ejecutando OS X Mountain Lion 10.8.5. He intentado actualizar a macOS Mojave, mediante el lanzamiento de la Mac App Store, y la búsqueda de Mojave. Después de algún tiempo, el proceso se detiene con el mensaje de "rango solicitado no es válido".

Ahora estoy perdido entre las Montañas de Lion mundial y el Mojave mundo, porque:

  • Acerca de este Mac" , dice la Versión 10.8.5. Yo también no se puede instalar por ejemplo, Xcode porque el sistema operativo es demasiado viejo.

  • La Mac App Store dice que el Mojave actualización está instalada, por lo tanto el botón de instalar está deshabilitado.

¿Cómo puedo correctamente la actualización a macOS Mojave? Reiniciar el dispositivo no cambia nada.

Quiero desarrollar y publicar aplicaciones de iOS, así que requieren de una reciente versión de macOS.

El Progreso (I)

He instalado El Capitan, Sierra y, a continuación, la Alta Sierra (sí, uno tras otro; se tarda varias horas). Era bastante difícil encontrar estas actualizaciones como la App Store de Búsqueda no se muestran. Tuve que buscar en google, encontrar la Manzana de la página que contenía un enlace (en 4. Descargar macOS XXX) que se abre en la App Store. a partir de ahí, la actualización de trabajado.

  1. El Capitan
  2. Sierra
  3. Alta Sierra

Ahora tengo Alta de la Sierra, pero sigo sin poder actualizar a Mojave. Me sale el mismo error ("rango solicitado no es válido").

El progreso (II)

Yo creo saber el problema. Cuando intento crear un arranque del instalador (sudo /Applications/Install\ macOS\ Mojave.app/Contents/Resources/createinstallmedia --volume /Volumes/MyVolume), dice:

Para utilizar esta herramienta, debe descargar la aplicación de instalación de macOS en un Mac con 10.12.5 o posterior, o El Capitan 10.11.6. [...]

Ok, me he descargado el instalador de Mojave cuando el sistema operativo era todavía Mountain Lion, por lo que entiendo que el mensaje. El problema era que yo no podía "volver a descargar". Tuve que eliminar la /Applications/Install macOS Mojave.app/ -directorio de la mano. Cambiar el nombre o mover a un lugar diferente, no era suficiente. Después de eso, podría comenzar el Mojave-Descargar en la App Store como se esperaba. La instalación fue exitosa, después de todo.

1voto

Nimesh Neema Puntos 69

Parece que la actualización a macOS Mojave no ha pasado y que están atrapados en un estado donde usted es capaz de ejecutar el macOS de Mojave instalador a través de la Mac App Store.

Usted puede tratar de ubicar la descarga de los macOS de Mojave instalador localmente en /Applications directorio. El instalador (si está disponible) debe aparecer el nombre de Instalar macOS Mojave.app. Si usted es capaz de localizar, intente ejecutar de forma manual.

Si eso también falla, tienes un par de opciones:

  • Instalar macOS de Mojave, a través de Internet de Recuperación. Las instrucciones se pueden encontrar en el artículo de Soporte de Apple, Sobre macOS Recuperación.

  • Descargar macOS Mojave instalador en una Mac diferente, crear un USB de arranque del instalador de instalar y de usar. Las instrucciones se pueden encontrar en el artículo de Soporte de Apple, Cómo crear un disco de inicio de instalación de macOS.

Si usted está instalando el uso de la llave de memoria USB, necesitará mantenga pulsada la Opción de tecla durante el arranque de tu Mac y seleccionar la enchufado en la llave USB para ejecutar el instalador. Sería aconsejable borrar la incorporada en el disco y realizar una instalación nueva.

Una vez que usted tiene macOS Mojave instalado con éxito el uso de uno de los enfoques anteriores, puede instalar Xcode normalmente a través de la Mac App Store.

Como se ha mencionado que desea desarrollar y publicar aplicaciones de iOS. La publicación de las apps de iOS se requiere o justo antes de la liberación de macOS con la recomendación de usar el último SDK de iOS y la versión actual de Xcode.

Como tu MacBook apoya la ejecución de macOS de Mojave, se recomienda instalarlo junto con Xcode 10.2 (vigente a partir de este escrito).

1voto

john Puntos 11

Sugiero actualizar a la Alta Sierra macos 10.13.6 y una vez que hayas hecho esto, a continuación, tratar de que la actualización de Mojave. A veces, Mac actualizaciones de esperar que la máquina sea, en algún nivel, de las actualizaciones anteriores.

AppleAyuda.com

AppleAyuda es una comunidad de usuarios de los productos de Apple en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by:

X